> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# セッションインサイトを生成

> 必要に応じてセッションインサイトの生成をトリガーします。

インサイトがすでに生成されている場合は ``already_exists`` を返します。
それ以外の場合は、バックグラウンドで生成を開始します。生成完了後、結果を取得するには
GET insights エンドポイントをポーリングしてください。

<Note>
  `devin_id` は、セッション ID の先頭に `devin-` を付けたものです (例: `devin-abc123`) 。
</Note>

<div id="permissions">
  ## 権限
</div>

Enterprise レベルの `ManageAccountSessions` 権限を持つサービスユーザーが必要です。

<div id="behavior">
  ## 動作
</div>

* インサイトがすでに生成されている場合 (または生成中の場合) 、エンドポイントは再実行せず、`{ "status": "already_exists" }` を返します。
* インサイトが存在しない場合 (または前回の試行が失敗した場合) 、エンドポイントはバックグラウンドで生成を開始し、`{ "status": "started" }` を返します。
* 生成が完了したら、[GET セッションインサイト](/ja/api-reference/v3/sessions/get-enterprise-session-insights) エンドポイントをポーリングして結果を取得してください。


## OpenAPI

````yaml ja/v3-openapi.yaml POST /v3/enterprise/sessions/{devin_id}/insights/generate
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/enterprise/sessions/{devin_id}/insights/generate:
    post:
      tags:
        - sessions
      summary: セッションインサイトを生成
      description: |-
        必要に応じてセッションインサイトの生成をトリガーします。

        インサイトがすでに生成されている場合は ``already_exists`` を返します。
        それ以外の場合は、バックグラウンドで生成を開始します。生成完了後、結果を取得するには
        GET insights エンドポイントをポーリングしてください。
      operationId: >-
        handle_generate_account_session_insights_v3_enterprise_sessions__devin_id__insights_generate_post
      parameters:
        - description: 'Devin セッション ID（プレフィックス: devin-）'
          in: path
          name: devin_id
          required: true
          schema:
            anyOf:
              - type: string
              - type: 'null'
            example: devin-abc123def456
            title: Devin Id
        - in: query
          name: org_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Org Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionInsightsGenerateResponse'
          description: 成功レスポンス
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 未認証
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: アクセス禁止
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 見つかりません
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 競合
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 処理できないコンテンツ
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: リクエストが多すぎます
components:
  schemas:
    SessionInsightsGenerateResponse:
      description: セッションインサイトの生成をトリガーした際のレスポンス。
      properties:
        session_id:
          description: インサイト生成がトリガーされたセッション ID。
          title: Session Id
          type: string
        status:
          description: 生成リクエストのステータス。
          title: Status
          type: string
      required:
        - session_id
        - status
      title: SessionInsightsGenerateResponse
      type: object
    ProblemDetail:
      description: >-
        v3 API 用の RFC 9457 application/problem+json エラーボディ。


        detail は後方互換性のため、レガシーな {"detail": ...}
        ボディから引き継がれます。その他のメンバーは追加式です。errors にはフィールドレベルのバリデーションエラーが含まれます（422
        の場合のみ）。
      properties:
        detail:
          anyOf:
            - type: string
            - type: 'null'
          description: この事象に固有の、人が読める説明。
          title: Detail
        errors:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          description: フィールド単位のバリデーションエラー（422 レスポンスのみ）。
          title: Errors
        instance:
          anyOf:
            - type: string
            - type: 'null'
          description: この発生箇所の URI 参照（リクエストパス）。
          title: Instance
        status:
          description: HTTP ステータスコード。
          title: Status
          type: integer
        title:
          description: 問題タイプを人が読める短い要約。
          title: Title
          type: string
        type:
          default: about:blank
          description: 問題タイプを識別する URI 参照。
          title: Type
          type: string
      required:
        - title
        - status
      title: ProblemDetail
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````